Skip to main content
PUT
/
v1
/
orgs
/
{org_id}
/
knowledge
/
documents
/
{document_id}
/
bookmark
Set Document Bookmark
curl --request PUT \
  --url https://api.letpiper.com/v1/orgs/{org_id}/knowledge/documents/{document_id}/bookmark \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bookmarkMode": "none",
  "usageDescription": "<string>",
  "agentIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "bookmarkMode": "none",
  "usageDescription": "<string>",
  "agentIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
document_id
string<uuid>
required

Body

application/json

Request to set bookmark mode for a document.

bookmarkMode
enum<string>
required

Bookmark mode: none, all, or specific agents

Available options:
none,
all,
specific
usageDescription
string | null

Short description shown in agent system prompt

agentIds
string<uuid>[] | null

Agent IDs (only when bookmark_mode='specific')

Response

Successful Response

Response showing document bookmark info.

bookmarkMode
enum<string>
required
Available options:
none,
all,
specific
usageDescription
string | null
agentIds
string<uuid>[] | null